## visad
Class RemoteActionImpl

    java.lang.Object
      java.rmi.server.RemoteObject
          java.rmi.server.RemoteServer
              java.rmi.server.UnicastRemoteObject
                  visad.RemoteActionImpl

All Implemented Interfaces:
  Action, EventListener, Remote, RemoteAction, Serializable, ThingChangedListener

Direct Known Subclasses:
  RemoteCellImpl, RemoteDisplayImpl

public abstract class RemoteActionImpl
extends UnicastRemoteObject
implements RemoteAction

RemoteActionImpl is the VisAD remote adapter for ActionImpl.

See Also:
  Serialized Form

Field Summary
`(package private) ActionImpl` `AdaptedAction`

Fields inherited from class java.rmi.server.RemoteObject
`ref`

Constructor Summary
`(package private)` `RemoteActionImpl(ActionImpl a)`

Method Summary
`void` `addReference(ThingReference ref)` create link to ThingReference; must be RemoteThingReference
`String` `getName()` return name of this Action
`void` `removeAllReferences()` delete all links to ThingReferences
`void` `removeReference(ThingReference ref)` delete link to a ThingReference must be RemoteThingReference
`boolean` `thingChanged(ThingChangedEvent e)`

Methods inherited from class java.rmi.server.UnicastRemoteObject
`clone, exportObject, exportObject, exportObject, unexportObject`

Methods inherited from class java.rmi.server.RemoteServer
`getClientHost, getLog, setLog`

Methods inherited from class java.rmi.server.RemoteObject
`equals, getRef, hashCode, toString, toStub`

Methods inherited from class java.lang.Object
`finalize, getClass, notify, notifyAll, wait, wait, wait`

Field Detail

### AdaptedAction

    final transient ActionImpl AdaptedAction

Constructor Detail

### RemoteActionImpl

    RemoteActionImpl(ActionImpl a)
               throws RemoteException

Method Detail

### thingChanged

    public boolean thingChanged(ThingChangedEvent e)
                         throws VisADException,
                                RemoteException

  Specified by:
    `thingChanged` in interface `ThingChangedListener`
  Throws:
    `VisADException`
    `RemoteException`

### addReference

    public void addReference(ThingReference ref)
                      throws VisADException,
                             RemoteException

  create link to ThingReference; must be RemoteThingReference

  Specified by:
    `addReference` in interface `Action`
  Parameters:
    `ref` - The ThingReference to which to create the link. Subsequent invocation of `thingChanged(ThingChangedEvent)` causes invocation of `ref.acknowledgeThingChanged(this)` . This method invokes `ref.addThingChangedListener(this, ...)`.
  Throws:
    `RemoteException` - if a Java RMI failure occurs.
    `VisADException` - if a VisAD failure occurs.
  See Also:
    `ThingChangedListener.thingChanged(ThingChangedEvent)`, `ThingReference.addThingChangedListener(ThingChangedListener, long)`

### removeReference

    public void removeReference(ThingReference ref)
                         throws VisADException,
                                RemoteException

  delete link to a ThingReference must be RemoteThingReference

  Specified by:
    `removeReference` in interface `Action`
  Parameters:
    `ref` - The reference to be removed.
  Throws:
    `RemoteException` - if a Java RMI failure occurs.
    `VisADException` - if a VisAD failure occurs.

### removeAllReferences

    public void removeAllReferences()
                             throws VisADException,
                                    RemoteException

  delete all links to ThingReferences

  Specified by:
    `removeAllReferences` in interface `Action`
  Throws:
    `VisADException`
    `RemoteException`

### getName

    public String getName()
                   throws VisADException

  return name of this Action

  Specified by:
    `getName` in interface `Action`
  Returns:
    String name of this Action
  Throws:
    `VisADException`